<button type="button" (click)="showFormulaireAddStartup()" class="btn btn-primary">{{txtShowformulaire}}</button>
<div class="row justify-content-center align-items-center h-100" *ngIf="isHiddenCreate">
  <div class="col col-sm-6 col-md-6 col-lg-4 col-xl-3">
    <form (ngSubmit)="add()" [formGroup]="startupForm">
      <div class="form-group">
          <label>Nom : </label><input formControlName="nom" type="text" class="form-control">
          <div class="error" *ngIf="nomCtrl.dirty && nomCtrl.touched && nomCtrl.hasError('required')">Nom obligatoire</div>
          <div class="error" *ngIf="nomCtrl.dirty && nomCtrl.hasError('maxlength')">Taille maximum de 20 characters</div>
      </div>
      <div class="form-group">
        <label>Sécteur d'activité : </label><input formControlName="secteurActivite" type="text" class="form-control">
        <div class="error" *ngIf="secteurActiviteCtrl.dirty && secteurActiviteCtrl.touched && secteurActiviteCtrl.hasError('required')">Sécteur d'activité obligatoire</div>
        <div class="error" *ngIf="secteurActiviteCtrl.dirty && secteurActiviteCtrl.hasError('maxlength')">Taille maximum de 10 characters</div>
      </div>
      <div class="form-group">
        <label>Nom du représentant legal : </label><input formControlName="nomRepresentantLegal" type="text" class="form-control">
        <div class="error" *ngIf="nomRepresentantLegalCtrl.dirty && nomRepresentantLegalCtrl.nomRepresentantLegalCtrl && nomCtrl.hasError('required')">Nom du représentant legal obligatoire</div>
        <div class="error" *ngIf="nomRepresentantLegalCtrl.dirty && nomRepresentantLegalCtrl.hasError('maxlength')">Taille maximum de 15 characters</div>
      </div>
      <div class="form-group">
        <label>Nombre de co-fondateur : </label><input formControlName="nbCoFondateurs" type="text" class="form-control">
        <div class="error" *ngIf="nbCoFondateursCtrl.dirty && nbCoFondateursCtrl.touched && nbCoFondateursCtrl.hasError('required')">Nombre de co-fondateur obligatoire</div>
        <div class="error" *ngIf="nbCoFondateursCtrl.dirty && nbCoFondateursCtrl.hasError('pattern')">Nombre de co-foncateur doit etre un nombre</div>
      </div>
      <div class="form-group">
        <label>Description : </label><textarea formControlName="descriptionProjet" rows="5" cols="30" class="form-control"></textarea>
        <div class="error" *ngIf="descriptionProjetCtrl.dirty && descriptionProjetCtrl.touched && descriptionProjetCtrl.hasError('required')">Description obligatoire</div>
        <div class="error" *ngIf="descriptionProjetCtrl.dirty && descriptionProjetCtrl.hasError('maxlength')">Taille maximum de 250 characters</div>
      </div>
      <div class="form-group">
        <label>Adresse : </label><input formControlName="adresse" type="text" class="form-control">
        <div class="error" *ngIf="adresseCtrl.dirty && adresseCtrl.hasError('maxlength')">Taille maximum de 25 characters</div>
      </div>
      <div class="form-group">
        <div class="container">
          <div class="row">
            <div class="col"><button class="col-10 btn btn-secondary float-left" (click)='reset()'>Reset</button></div>
            <div class="col"><button class="col-10 btn btn-primary float-right" [disabled]="startupForm.invalid">Ajouter</button></div>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
<div class="row justify-content-center align-items-center h-100" *ngIf="isHiddenUpdate">
  <div class="col col-sm-6 col-md-6 col-lg-4 col-xl-3">
    <form (ngSubmit)="update()" [formGroup]="startupForm" *ngIf=(currentStartUp)>
      <input formControlName="id" type="hidden">
      <div class="form-group">
          <label>Nom : </label><input formControlName="nom" type="text" class="form-control" >
          <div class="error" *ngIf="nomCtrl.dirty && nomCtrl.touched && nomCtrl.hasError('required')">Nom obligatoire</div>
          <div class="error" *ngIf="nomCtrl.dirty && nomCtrl.hasError('maxlength')">Taille maximum de 20 characters</div>
      </div>
      <div class="form-group">
        <label>Sécteur d'activité : </label><input formControlName="secteurActivite" type="text" class="form-control">
        <div class="error" *ngIf="secteurActiviteCtrl.dirty && secteurActiviteCtrl.touched && secteurActiviteCtrl.hasError('required')">Sécteur d'activité obligatoire</div>
        <div class="error" *ngIf="secteurActiviteCtrl.dirty && secteurActiviteCtrl.hasError('maxlength')">Taille maximum de 10 characters</div>
      </div>
      <div class="form-group">
        <label>Nom du représentant legal : </label><input formControlName="nomRepresentantLegal" type="text" class="form-control" >
        <div class="error" *ngIf="nomRepresentantLegalCtrl.dirty && nomRepresentantLegalCtrl.nomRepresentantLegalCtrl && nomCtrl.hasError('required')">Nom du représentant legal obligatoire</div>
        <div class="error" *ngIf="nomRepresentantLegalCtrl.dirty && nomRepresentantLegalCtrl.hasError('maxlength')">Taille maximum de 15 characters</div>
      </div>
      <div class="form-group">
        <label>Nombre de co-fondateur : </label><input formControlName="nbCoFondateurs" type="text" class="form-control">
        <div class="error" *ngIf="nbCoFondateursCtrl.dirty && nbCoFondateursCtrl.touched && nbCoFondateursCtrl.hasError('required')">Nombre de co-fondateur obligatoire</div>
        <div class="error" *ngIf="nbCoFondateursCtrl.dirty && nbCoFondateursCtrl.hasError('pattern')">Nombre de co-foncateur doit etre un nombre</div>
      </div>
      <div class="form-group">
        <label>Description : </label><textarea formControlName="descriptionProjet" rows="5" cols="30" class="form-control" ></textarea>
        <div class="error" *ngIf="descriptionProjetCtrl.dirty && descriptionProjetCtrl.touched && descriptionProjetCtrl.hasError('required')">Description obligatoire</div>
        <div class="error" *ngIf="descriptionProjetCtrl.dirty && descriptionProjetCtrl.hasError('maxlength')">Taille maximum de 250 characters</div>
      </div>
      <div class="form-group">
        <label>Adresse : </label><input formControlName="adresse" type="text" class="form-control">
        <div class="error" *ngIf="adresseCtrl.dirty && adresseCtrl.hasError('maxlength')">Taille maximum de 25 characters</div>
      </div>
      <div class="form-group">
        <div class="container">
          <div class="row">
            <div class="col"><button class="col-10 btn btn-secondary float-left" (click)='updateCancel()'>Annuler</button></div>
            <div class="col"><button class="col-10 btn btn-primary float-right">Mettre à jour</button></div>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
<table class="table">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">Nom</th>
      <th scope="col">Représentant</th>
      <th scope="col">Nombre de co-fondateur</th>
      <th scope="col">Description</th>
      <th scope="col">Adresse</th>
      <th scope="col">Actions</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let startup of tabStartUp">
      <th scope="row">{{startup.id}}</th>
      <td>{{startup.nom}}</td>
      <td>{{startup.nomRepresentantLegal}}</td>
      <td>{{startup.nbCoFondateurs | nombrefondateur}}</td>
      <td>{{startup.descriptionProjet}}</td>
      <td>{{(startup.adresse != null)? 'Oui' : 'Non'}}</td>
      <td>
          <button type="button" class="btn btn-primary" (click)="showUpdateForm(startup.id)">Modifier</button>
          <button type="button" (click)="delete(startup.id)" class="btn btn-danger">X</button>
      </td>
    </tr>
  </tbody>
</table>